﻿using System.Linq;
using Buddy.BehaviorTree;
using Buddy.CommonBot;
using Buddy.Swtor;
using DefaultCombat.Dynamics;
using Buddy.Swtor.Objects;
using Buddy.Common.Math;
using System;
using Buddy.Common;

using Action = Buddy.BehaviorTree.Action;

using System.Collections.Generic;
using System.Diagnostics;
using System.ComponentModel;

namespace DefaultCombat.Routines
{

    public class MercenaryArsenal
    {

        [Behavior(BehaviorType.Pull)]
        [Class(CharacterClass.BountyHunter, AdvancedClass.Mercenary, SkillTreeId.MercenaryArsenal)]
        public static Composite MercenaryArsenalPull()
        {
            return new Sequence(
                new Action(ret => { MercHelpers.ArsenalCombat(); }),
                Spell.Cast("blah", ret => false));
        }

        [Behavior(BehaviorType.Combat)]
        [Class(CharacterClass.BountyHunter, AdvancedClass.Mercenary, SkillTreeId.MercenaryArsenal)]
        public static Composite MercenaryArsenalCombat()
        {
            return new Sequence(
                new Action (ret => {MercHelpers.ArsenalCombat();}),
                Spell.Cast("blah", ret => false));
        }

        [Behavior(BehaviorType.OutOfCombat)]
        [Class(CharacterClass.BountyHunter, AdvancedClass.Mercenary, SkillTreeId.MercenaryArsenal)]
        public static Composite MercenaryArsenalOutOfCombat()
        {
            return new Sequence(
                new Action(ret => { MercHelpers.OOC(); }),
                Spell.Cast("blah", ret => false)
                );
        }
    
    }
}