﻿using System.Linq;
using Buddy.BehaviorTree;
using Buddy.CommonBot;
using Buddy.Swtor;
using DefaultCombat.Dynamics;

namespace DefaultCombat.Routines
{
    public static class Scoundrel
    {
        [Behavior(BehaviorType.Pull)]
        [Class(CharacterClass.Smuggler, AdvancedClass.Scoundrel, SkillTreeId.None)]
        public static Composite ScoundrelPull()
        {
            return new Sequence(new Action(ret => { MercHelpers.ScrapperCombat(); }), Spell.Cast("blah", ret => false));
        }

        [Behavior(BehaviorType.Combat)]
        [Class(CharacterClass.Smuggler, AdvancedClass.Scoundrel, SkillTreeId.None)]
        public static Composite ScoundrelCombat()
        {
            return new Sequence(new Action(ret => { MercHelpers.ScrapperCombat(); }), Spell.Cast("blah", ret => false));
        }
        [Behavior(BehaviorType.OutOfCombat)]
        [Class(CharacterClass.Smuggler, AdvancedClass.Scoundrel, SkillTreeId.None)]
        public static Composite ScoundrelOutOfCombat()
        {
            return new Sequence(new Action(ret => { MercHelpers.OOC(); }), Spell.Cast("blah", ret => false));
        }
    }
}
